Bug 1018815 - No way of specifying 'Due Date' for deployment tasks
No way of specifying 'Due Date' for deployment tasks
Status: NEW
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: DT Governance (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity high
: ---
: FUTURE
Assigned To: Eric Wittmann
Matej Melko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 08:59 EDT by Stefan Bunciak
Modified: 2015-11-02 03:06 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
There is no way to set the Expiration Time on a task instance at creation time from a BPMN2 process. This functionality should be made available in Red Hat JBoss Business Process Manager 6.1. As a result of this, users cannot currently fill in a DTGov user task's 'Due Date' field (found under Task Details). The Task Form does not allow you to change this field.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker DTGOV-161 Major Closed Enable user to set expiration time 2017-07-20 03:59 EDT

  None (edit)
Description Stefan Bunciak 2013-10-14 08:59:28 EDT
Description of problem:

User is not able to fill 'Due Date' in the Task Details of dtgov user tasks.  Task form doesn't allow changing of the field and I'm not able to find any other place where to specify/modify it. This makes column in dtgov-ui/#taskInbox listing 'Due on' useless. 

Version-Release number of selected component (if applicable):
* 6.0.0.ER4

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Stefan Bunciak 2013-10-14 09:33:57 EDT
The same applies to 'Priority' column.
Comment 2 Kurt T Stam 2013-10-15 09:13:30 EDT
Eric, we probably want to hide these features for now; since they are not (yet) supported.
Comment 3 Kurt T Stam 2013-10-15 09:39:03 EDT
If we do want to support it we'd need to add setting priority and due dates in our DTGov UI.
Comment 4 Kurt T Stam 2013-10-15 10:14:33 EDT
I think we'd need to add screens like the ones in http://docs.jboss.org/jbpm/v5.3/userguide/ch.human-tasks.html

Then we'd be interacting directly with the jBPM Task Object to set the values. AFAIK BPMN2 does not support it; and the eclipse BPMN editor doesn't either.
Comment 5 Eric Wittmann 2013-10-15 10:37:21 EDT
But doesn't that link describe how to configure priority in the BPMN process when creating a human task activity?  If the workflow developer uses that feature (configures the priority in the workflow) then the UI will work as-is (it will show priority properly).

If we want to allow modifying the priority after creation, then we have some UI work to do, and we have to figure out if jbpm supports that.

Regarding due date, the documentation Kurt provided doesn't seem to indicate that a task level expiration date can be configured in the BPMN activity/task.  This is surprising because the jBPM "TaskDate" entity has such a field.  I'm not sure when/how that gets set.  Perhaps it comes from task escalation in some way.

When I wrote the UI my expectation was that those two properties (priority, due/expiration date) would be set by the workflow when it creates the human task.  I believe this is true for priority (according to the jbpm documentation) but it's unclear to me how expiration works.

Perhaps we can get some information from a jbpm team member?
Comment 6 Kurt T Stam 2013-10-15 10:51:59 EDT
Before you enter the task node you maybe able to set the task priority from a piece of data in the workflow context. We can ask the jBPM guys about the details. I think the link does show a UIfrom where you would be able to change/set the priority thought, which would still be something we'd need to support in the dtgov console.
Comment 7 Eric Wittmann 2013-11-01 12:38:56 EDT
Can we get input from a jBPM expert re: how to set the task's expiration time from a BPMN workflow?  We need to know how the "expirationTime" java bean property is set on the TaskData object for a task.  The relevant code on the task inbox side is here:

https://github.com/Governance/dtgov/blob/master/dtgov-war/src/main/java/org/overlord/dtgov/taskapi/TaskApi.java#L223-237
Comment 8 Eric Wittmann 2013-11-15 07:55:42 EST
I just received word from the jBPM guys that there is, in fact, no way to set the Expiration Time on a task instance at creation time from a BPMN2 process.  This functionality should be available in 6.1, but didn't make it in for 6.0.

However, the expiration time *can* be set after the fact.  So we could create a gesture in the UI that lets the user set the expiration time.
Comment 9 JBoss JIRA Server 2014-09-11 09:28:48 EDT
Eric Wittmann <eric.wittmann@redhat.com> updated the status of jira DTGOV-161 to Closed

Note You need to log in before you can comment on or make changes to this bug.